<?
require_once 'core/system.php';
echo admin();
$header = 'Управление банами';
require_once 'core/head.php';

switch($_GET[act]){
default:


$k_post = mysql_result(mysql_query("SELECT COUNT(*)  FROM `us_ban`"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `us_ban` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
if($k_post == 0)echo "<div class='player grey'>Пока нет банов!</div>";
while($post = mysql_fetch_assoc($q)) {

if($post['type']=='mail'){$type='на почту';}elseif($post['type']=='chat'){$type=' на чат';}elseif($post['type']=='forum'){$type='на форум';}if($post['time'] > time()){$sts='<font color="green">Активен</font> [<a href="?act=ban_deactive&id='.$post['id'].'">Разбанить</a>]';}else{$sts='<font color="red">Не активен</font>';}

$ank= mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[usban] LIMIT 1"));
$us= mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[usid] LIMIT 1"));
$ban_time=$post['time']-time();
echo ' Игрок  <a href="/user/'.$us['id'].'/"> '.$us['nick'].'</a> <span class="red"> забанен  '.$type.' <br><div class="dot-line"></div>';
if($post['time'] > time()){
echo'До конца осталось:</span>
'.(int)($ban_time/3600).' час '.($ban_time/60%60).' мин. '.($ban_time%60).' сек.';
}else{echo'<span class="green">Бан закончился</span>';}
echo'<br/><div class="dot-line"></div><span class="blue">Заблокировал:<a href="/user/'.$ank['id'].'/"><img src="/images/icon/user.png"/>'.$ank['nick'].' </span></a><br/>
<div class="dot-line"></div><span class="blue">Причина: </span>'.htmlentities($post['prich']).'</br><span class="blue">Бан:</span> '.$sts.' 
<div class="line"></div>';
}
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
break;

case 'ban':

if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['id'])."'"),0) == true){
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id`  = '".intval($_GET['id'])."'"));
}else{
$_SESSION['err'] = "Игрок не найден";
header('Location: /');
exit();
}
if(empty($_POST[text])){

echo '<form action="ban.php?act=ban_ok&id='.$ank['id'].'" method="post">';
echo"Ид игрока:<br/>
<input class='text large' type=\"text\" size=\"10\" value=\"$_GET[id]\" name=\"id\"/><br/>";

echo"Причина бана:<br/>
<input class='text large' type=\"text\" size=\"10\" name=\"text\"/><br/>";

echo"Время бана:<br/>
<select name=\"time\">
<option value=\"1\">1 час</option>
<option value=\"3\">3 часа</option>
<option value=\"5\">5 часов</option>
<option value=\"10\">10 часов</option>
<option value=\"24\">сутки</option>
<option value=\"72\">3 соток</option>
<option value=\"168\">неделя</option>
</select><br/>";
echo "Тип бана:<br/>
<select name=\"type\">
<option value=\"ip\">По айпи</option>
<option value=\"game\">На игру</option>
</select><br/>";
echo '<input class="button" type="submit" value="Забанить" /></form>';
}
break;

case 'ban_ok':
$req = mysql_query("SELECT * FROM `user` where `id`='".mysql_real_escape_string($_POST[id])."'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Нет такого игрока!";
require_once 'core/foot.php';
exit;}

if($_POST[type]==mail){$_POST[type]=mail;}
if($_POST[type]==chat){$_POST[type]=chat;}
if($_POST[type]==forum){$_POST[type]=forum;}
$req1 = mysql_query("SELECT * FROM `us_ban` where `usid`='".mysql_real_escape_string($_POST[id])."' and `type`='$_POST[type]' and `time`>'".time()."'");
$avto=mysql_num_rows($req1);
if($avto==1){echo"Этот игрок уже забанен по этому типу бана";
require_once 'core/foot.php';
exit;}
$ip= mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".abs(intval($_POST[id]))."' LIMIT 1"));
$time=$_POST[time]*3600;
$time_ban=time()+$time;
mysql_query("INSERT INTO
`us_ban` SET
`usid` = '".abs(intval($_POST[id]))."',
`usban` = '".$user['id']."',
`prich` = '".mysql_real_escape_string(htmlspecialchars($_POST[text]))."',
`time` = '".abs(intval($time_ban))."',
`ip` ='".$ip['ip']."',
`type` = '".mysql_real_escape_string(htmlspecialchars($_POST[type]))."'");
echo'Игрок '.$_POST[nick].' забанен!<br/>';

echo "<div class='player menuList'>";
echo"<li><a href=\"user/$_GET[id]/\">К профилю</a></li>";
echo "<div class='dot-line'></div>";
echo "<li><a href='/Adm_panel/'><img src='/images/icon/arrow.png'>Админ-Панель</a></li>";
echo "</div>";
break;

case 'ban_deactive':
mysql_query("UPDATE`us_ban`SET`time`='0' WHERE`id`='".mysql_real_escape_string($_GET['id'])."'");
header('location: ?');
$_SESSION['message'] = 'Бан аннулирован';
exit();
break;
}
require_once 'core/foot.php';
?>